package com.ruoyi.abuwx.service.impl;

import java.util.List;

import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.abuwx.mapper.CardPasswordMapper;
import com.ruoyi.abuwx.domain.CardPassword;
import com.ruoyi.abuwx.service.ICardPasswordService;

/**
 * 卡密管理Service业务层处理
 *
 * @author lujie
 * @date 2025-01-07
 */
@Service
public class CardPasswordServiceImpl implements ICardPasswordService {
    @Autowired
    private CardPasswordMapper cardPasswordMapper;

    /**
     * 查询卡密管理
     *
     * @param id 卡密管理主键
     * @return 卡密管理
     */
    @Override
    public CardPassword selectCardPasswordById(Long id) {
        return cardPasswordMapper.selectCardPasswordById(id);
    }

    /**
     * 查询卡密管理列表
     *
     * @param cardPassword 卡密管理
     * @return 卡密管理
     */
    @Override
    public List<CardPassword> selectCardPasswordList(CardPassword cardPassword) {
        return cardPasswordMapper.selectCardPasswordList(cardPassword);
    }

    /**
     * 新增卡密管理
     *
     * @param cardPassword 卡密管理
     * @return 结果
     */
    @Override
    public int insertCardPassword(CardPassword cardPassword) {
        cardPassword.setCreateTime(DateUtils.getNowDate());
        return cardPasswordMapper.insertCardPassword(cardPassword);
    }

    /**
     * 修改卡密管理
     *
     * @param cardPassword 卡密管理
     * @return 结果
     */
    @Override
    public int updateCardPassword(CardPassword cardPassword) {
        cardPassword.setUpdateTime(DateUtils.getNowDate());
        return cardPasswordMapper.updateCardPassword(cardPassword);
    }

    /**
     * 批量删除卡密管理
     *
     * @param ids 需要删除的卡密管理主键
     * @return 结果
     */
    @Override
    public int deleteCardPasswordByIds(Long[] ids) {
        return cardPasswordMapper.deleteCardPasswordByIds(ids);
    }

    /**
     * 删除卡密管理信息
     *
     * @param id 卡密管理主键
     * @return 结果
     */
    @Override
    public int deleteCardPasswordById(Long id) {
        return cardPasswordMapper.deleteCardPasswordById(id);
    }
}
